package com.pcloud.common.core.dto;

import java.io.Serializable;

/**
 * @Description：TODO
 * @Author：HP
 * @Date：2018/6/12
 * @Version：1.0
 */
public class PromotionGiftDto implements Serializable {

    private static final long serialVersionUID = 8471165499930274010L;

    /**
     * 目标ID
     */
    private Long targetId;

    /**
     * 目标类型
     */
    private String targetType;

    /**
     * 目标类别
     */
    private String targetClass;

    /**
     * 发放动作
     */
    private String grantAction;

    /**
     * 发放数量
     */
    private String grantNum;

    public Long getTargetId() {
        return targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    public String getTargetType() {
        return targetType;
    }

    public void setTargetType(String targetType) {
        this.targetType = targetType;
    }

    public String getGrantAction() {
        return grantAction;
    }

    public void setGrantAction(String grantAction) {
        this.grantAction = grantAction;
    }

    public String getGrantNum() {
        return grantNum;
    }

    public void setGrantNum(String grantNum) {
        this.grantNum = grantNum;
    }

    public String getTargetClass() {
        return targetClass;
    }

    public void setTargetClass(String targetClass) {
        this.targetClass = targetClass;
    }

    @Override
    public String toString() {
        return "PromotionGiftDto{" +
                "targetId=" + targetId +
                ", targetType='" + targetType + '\'' +
                ", targetClass='" + targetClass + '\'' +
                ", grantAction='" + grantAction + '\'' +
                ", grantNum='" + grantNum + '\'' +
                '}';
    }
}
